/* dbif_priv.h
**
** PRIVATE Database Interface for the user/admin databases
*/
#ifndef _DBIF_PRIV_H
#define _DBIF_PRIV_H

#include <gdbm.h>

#include "dbif.h"
#include "xfile.h"
#include "bcv.h"

struct _DBIF_FILE_S {
    GDBM_FILE dbf;
    datum current;
    int rw;
};

struct _DBIF_CURSOR_S {
    char *res_name;	/* the filename of the results file		   */
    xFile results;	/* the file holding the results			   */
    char *buf;		/* a buffer which is large enough to hold the largest
			** record of the selection			   */
    size_t bufsize;	/* the size of the buffer			   */
    int recno;
};

dbif_rec *dbif_mkreca (char *p);

DEFCVF(get_int, set_int, int)

DEFCVF(get_size, set_size, size_t)

DEFCVF(get_offs, set_offs, off_t)

extern dbif_error if_errno;
void dbif_traseterr (void);

#endif /* defined(_DBIF_PRIV_H) */
